Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/AboutDialog.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/AboutDialog.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/AboutDialog.java	(revision 18297)
@@ -66,22 +66,38 @@
 	this.self = this;
 	setSize(SIZE);
-		  
+        this.setComponentOrientation(Dictionary.getOrientation());        
 	JPanel content_pane = (JPanel) getContentPane();
+        content_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	JPanel upper_pane = new JPanel();
+        upper_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	ImageIcon icon = JarTools.getImage("gatherer_medium.gif");
 	ImageIcon scaled_icon = new ImageIcon(icon.getImage().getScaledInstance(ICON_SIZE, ICON_SIZE, Image.SCALE_DEFAULT));
 	JLabel icon_label = new JLabel(scaled_icon);
-	JPanel title_pane = new JPanel();
-	JLabel title_one_label = new JLabel(Dictionary.get("AboutDialog.Title_One"));
-	JLabel title_two_label = new JLabel(Gatherer.PROGRAM_NAME + " " + Gatherer.PROGRAM_VERSION + " " + Dictionary.get("AboutDialog.Date"));
-	JLabel title_three_label = new JLabel(Dictionary.get("AboutDialog.Title_Two"));
-	JLabel copyright_label = new JLabel(Dictionary.get("AboutDialog.Copyright"));
-	JLabel gpl_label = new JLabel(Dictionary.get("AboutDialog.Copyright_Two"));
-	
+	icon_label.setComponentOrientation(Dictionary.getOrientation());
+        
+        JPanel title_pane = new JPanel();
+	title_pane.setComponentOrientation(Dictionary.getOrientation());
+        
+        JLabel title_one_label = new JLabel(Dictionary.get("AboutDialog.Title_One"));
+	title_one_label.setComponentOrientation(Dictionary.getOrientation());
+        JLabel title_two_label = new JLabel(Gatherer.PROGRAM_NAME + " " + Gatherer.PROGRAM_VERSION + " " + Dictionary.get("AboutDialog.Date"));
+        title_two_label.setComponentOrientation(Dictionary.getOrientation());
+        JLabel title_three_label = new JLabel(Dictionary.get("AboutDialog.Title_Two"));
+	title_three_label.setComponentOrientation(Dictionary.getOrientation());
+        JLabel copyright_label = new JLabel(Dictionary.get("AboutDialog.Copyright"));
+	copyright_label.setComponentOrientation(Dictionary.getOrientation());
+        JLabel gpl_label = new JLabel(Dictionary.get("AboutDialog.Copyright_Two"));
+        gpl_label.setComponentOrientation(Dictionary.getOrientation());
+        
 	JTextArea text = new JTextArea();
+        text.setComponentOrientation(Dictionary.getOrientation());
 	text.setLineWrap(true);
 	text.setWrapStyleWord(true);
-
+        
+        
 	JPanel button_pane = new JPanel();
+        button_pane.setComponentOrientation(Dictionary.getOrientation());
 	close_button = new GLIButton(Dictionary.get("General.Close"), Dictionary.get("General.Close_Tooltip"));
 	
@@ -101,10 +117,10 @@
 	upper_pane.setBorder(BorderFactory.createEmptyBorder(0,0,5,0));
 	upper_pane.setLayout(new BorderLayout());
-	upper_pane.add(icon_label, BorderLayout.WEST);
+	upper_pane.add(icon_label, BorderLayout.LINE_START);
 	upper_pane.add(title_pane, BorderLayout.CENTER);
 
 	button_pane.setBorder(BorderFactory.createEmptyBorder(5,0,0,0));
 	button_pane.setLayout(new BorderLayout());
-	button_pane.add(close_button, BorderLayout.EAST);
+	button_pane.add(close_button, BorderLayout.LINE_END);
 
 	content_pane.setBorder(BorderFactory.createEmptyBorder(5,5,5,5));
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/BaseConfigPane.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/BaseConfigPane.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/BaseConfigPane.java	(revision 18297)
@@ -75,8 +75,10 @@
 	DebugStream.println("BaseConfigPane: Main GUI components created.");
 	// Creation
+        this.setComponentOrientation(Dictionary.getOrientation());
 	tree_pane = new JPanel();
-
+        tree_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	tree = new DesignTree();
-	
+	tree.setComponentOrientation(Dictionary.getOrientation());
 	// Connect
 	tree.addTreeSelectionListener(new TreeListener());
@@ -85,9 +87,12 @@
 	tree_pane.setLayout(new BorderLayout());
 	tree_pane.setPreferredSize(TREE_SIZE);
-	tree_pane.add(new JScrollPane(tree), BorderLayout.CENTER);
+        JScrollPane scrol_tmp;
+        scrol_tmp = new JScrollPane(tree);
+        scrol_tmp.setComponentOrientation(Dictionary.getOrientation());
+	tree_pane.add(scrol_tmp, BorderLayout.CENTER);
 	setLayout(new BorderLayout());
 	setBorder(BorderFactory.createEmptyBorder(5,5,5,5));
 	
-	add(tree_pane, BorderLayout.WEST);
+	add(tree_pane, BorderLayout.LINE_START);
 
 
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/CreatePane.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/CreatePane.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/CreatePane.java	(revision 18297)
@@ -162,25 +162,33 @@
      */
     public CreatePane() {
+        this.setComponentOrientation(Dictionary.getOrientation());
 	log_textarea = new JTextArea();
 	log_scroll = new JScrollPane(log_textarea);
-
+        
 	// Create components
 	card_layout = new CardLayout();
 	// Control Pane
 	control_pane = new JPanel();
+        control_pane.setComponentOrientation(Dictionary.getOrientation());
 	tree = new OptionTree();
+        tree.setComponentOrientation(Dictionary.getOrientation());
 	button_pane = new JPanel();
+        button_pane.setComponentOrientation(Dictionary.getOrientation());
 
 	// Progress Pane
 	progress_pane = new JPanel(); // One owner of the bar component
+        progress_pane.setComponentOrientation(Dictionary.getOrientation());
 	bar_area = new JPanel(); // This component will be shared about
+        bar_area.setComponentOrientation(Dictionary.getOrientation());
 
 	progress_import_label = new JLabel(Dictionary.get("CreatePane.Import_Progress"));
-	
+	progress_import_label.setComponentOrientation(Dictionary.getOrientation());
+        
 	import_monitor = new GImportProgressMonitor();
 	Gatherer.c_man.registerImportMonitor(import_monitor);
 
 	progress_build_label = new JLabel(Dictionary.get("CreatePane.Build_Progress"));
-	
+	progress_build_label.setComponentOrientation(Dictionary.getOrientation());
+        
 	build_monitor = new GBuildProgressMonitor(import_monitor.getSharedProgress());
 	Gatherer.c_man.registerBuildMonitor(build_monitor);
@@ -190,13 +198,21 @@
 	sbutton_panel = new JPanel();
 	sinner_panel = new JPanel();
-
+        
+        slower_panel.setComponentOrientation(Dictionary.getOrientation());
+        sbutton_panel.setComponentOrientation(Dictionary.getOrientation());
+        sinner_panel.setComponentOrientation(Dictionary.getOrientation());
+        
 	//Radio buttons
 	incremental_build_radio_button = new JRadioButton(Dictionary.get("CreatePane.Minimal_Build"));
+        incremental_build_radio_button.setComponentOrientation(Dictionary.getOrientation());
 	incremental_build_radio_button.setToolTipText(Dictionary.get("CreatePane.Minimal_Build_Tooltip"));
 	full_build_radio_button = new JRadioButton(Dictionary.get("CreatePane.Full_Build"));
+        full_build_radio_button.setComponentOrientation(Dictionary.getOrientation());
 	full_build_radio_button.setToolTipText(Dictionary.get("CreatePane.Full_Build_Tooltip"));
 	sincremental_build_radio_button = new JRadioButton(Dictionary.get("CreatePane.Minimal_Build"));
+        sincremental_build_radio_button.setComponentOrientation(Dictionary.getOrientation());
 	sincremental_build_radio_button.setToolTipText(Dictionary.get("CreatePane.Minimal_Build_Tooltip"));
 	sfull_build_radio_button = new JRadioButton(Dictionary.get("CreatePane.Full_Build"));
+        sfull_build_radio_button.setComponentOrientation(Dictionary.getOrientation());
 	sfull_build_radio_button.setToolTipText(Dictionary.get("CreatePane.Full_Build_Tooltip"));
 
@@ -269,7 +285,9 @@
 	sbuild_type_group.add(sfull_build_radio_button);
 	JPanel build_type_pane = new JPanel(new GridLayout(2,1));
+        build_type_pane.setComponentOrientation(Dictionary.getOrientation());
 	build_type_pane.add(full_build_radio_button);
 	build_type_pane.add(incremental_build_radio_button);
 	JPanel sbuild_type_pane = new JPanel(new GridLayout(2,1));
+        sbuild_type_pane.setComponentOrientation(Dictionary.getOrientation());
 	sbuild_type_pane.add(sfull_build_radio_button);
 	sbuild_type_pane.add(sincremental_build_radio_button);
@@ -279,4 +297,5 @@
 	// Build control_pane
 	JPanel left = new JPanel();
+        left.setComponentOrientation(Dictionary.getOrientation());
 	left.setBorder(BorderFactory.createEmptyBorder(0,5,5,5));
 	left.setLayout(new BorderLayout());
@@ -286,14 +305,17 @@
 
 	right = new JPanel();
+        right.setComponentOrientation(Dictionary.getOrientation());
 	right.setBorder(BorderFactory.createEmptyBorder(0,0,5,5));
 	right.setLayout(new BorderLayout());
 
 	JPanel options_area = new JPanel();
+        options_area.setComponentOrientation(Dictionary.getOrientation());
 	options_area.setBorder(BorderFactory.createCompoundBorder(BorderFactory.createEmptyBorder(5,5,5,5), BorderFactory.createTitledBorder(Dictionary.get("CreatePane.Options_Title"))));
 	options_area.setLayout(new BorderLayout());
-	options_area.add(left, BorderLayout.WEST);
+	options_area.add(left, BorderLayout.LINE_START);
 	options_area.add(right, BorderLayout.CENTER);
 
 	button_pane = new JPanel();
+        button_pane.setComponentOrientation(Dictionary.getOrientation());
 	button_pane.setBorder(BorderFactory.createEmptyBorder(5,10,10,10));
 	button_pane.setLayout(new GridLayout(1,4));
@@ -308,4 +330,5 @@
 	// Build progress_pane
 	JPanel labels_pane = new JPanel();
+        labels_pane.setComponentOrientation(Dictionary.getOrientation());
 	labels_pane.setLayout(new GridLayout(2,1,0,5));
 	labels_pane.add(progress_import_label);
@@ -313,4 +336,5 @@
 
 	JPanel monitors_pane = new JPanel();
+        monitors_pane.setComponentOrientation(Dictionary.getOrientation());
 	monitors_pane.setLayout(new GridLayout(2,1,0,5));
 	monitors_pane.add(import_monitor.getProgress());
@@ -319,5 +343,5 @@
 	bar_area.setBorder(BorderFactory.createEmptyBorder(10,10,5,10));
 	bar_area.setLayout(new BorderLayout(5,5));
-	bar_area.add(labels_pane, BorderLayout.WEST);
+	bar_area.add(labels_pane, BorderLayout.LINE_START);
 	bar_area.add(monitors_pane, BorderLayout.CENTER);
 
@@ -337,4 +361,5 @@
 
 	JPanel simple_bar_area = new JPanel(new GridLayout(2,1));
+        simple_bar_area.setComponentOrientation(Dictionary.getOrientation());
 	simple_bar_area.setBorder(BorderFactory.createEmptyBorder(0,5,0,0));
 	simple_bar_area.add(import_monitor.getSharedProgress());
@@ -343,5 +368,5 @@
 	sinner_panel.setBorder(BorderFactory.createEmptyBorder(5,0,5,0));
 	sinner_panel.setLayout(new BorderLayout());
-	sinner_panel.add(sbuild_type_pane, BorderLayout.WEST);
+	sinner_panel.add(sbuild_type_pane, BorderLayout.LINE_START);
 	//sinner_panel.add(full_build_radio_button, BorderLayout.WEST);
 	sinner_panel.add(simple_bar_area, BorderLayout.CENTER);
@@ -354,7 +379,9 @@
 	    sargument_configuration_panel = new JPanel();
 	}
+        sargument_configuration_panel.setComponentOrientation(Dictionary.getOrientation());
 	sargument_configuration_scroll = new JScrollPane(sargument_configuration_panel);
 	sargument_configuration_scroll.setPreferredSize(ARGUMENT_SIZE);
-	
+        sargument_configuration_scroll.setComponentOrientation(Dictionary.getOrientation());
+        
 	slower_panel.setLayout(new BorderLayout());
 	slower_panel.add(sinner_panel, BorderLayout.NORTH);
@@ -364,6 +391,8 @@
 	
 	simple_panel = new JSplitPane(JSplitPane.VERTICAL_SPLIT, sargument_configuration_scroll, slower_panel);
+        simple_panel.setComponentOrientation(Dictionary.getOrientation());
 	// Main pane
 	main_pane = new JPanel(card_layout);
+        main_pane.setComponentOrientation(Dictionary.getOrientation());
 	if(current_mode < THRESHOLD) { // Simple mode - add first
 	    main_pane.add(simple_panel, SIMPLE);
@@ -474,4 +503,6 @@
 	    }
 	    sargument_configuration_scroll = new JScrollPane(sargument_configuration_panel);
+            sargument_configuration_panel.setComponentOrientation(Dictionary.getOrientation());
+            sargument_configuration_scroll.setComponentOrientation(Dictionary.getOrientation());
 	    sargument_configuration_scroll.setPreferredSize(ARGUMENT_SIZE);
 	    simple_panel.setTopComponent(sargument_configuration_scroll);
@@ -590,4 +621,5 @@
 	    sargument_configuration_panel = options_pane.buildBuild(sargument_configuration_panel);
 	    sargument_configuration_scroll = new JScrollPane(sargument_configuration_panel);
+            sargument_configuration_scroll.setComponentOrientation(Dictionary.getOrientation());
 	    sargument_configuration_scroll.setPreferredSize(ARGUMENT_SIZE);
 	    simple_panel.setTopComponent(sargument_configuration_scroll);
@@ -748,5 +780,5 @@
 	public OptionTree() {
 	    super();
-
+            this.setComponentOrientation(Dictionary.getOrientation());
 	    ToolTipManager.sharedInstance().registerComponent(this);
 	    addTreeSelectionListener(this);
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/CreateShortcutPrompt.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/CreateShortcutPrompt.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/CreateShortcutPrompt.java	(revision 18297)
@@ -53,5 +53,5 @@
     {
 	super(Gatherer.g_man);
-
+        this.setComponentOrientation(Dictionary.getOrientation());
 	setModal(true);
 	setSize(DIALOG_SIZE);
@@ -60,15 +60,24 @@
 	// Creation
 	JPanel content_pane = (JPanel) getContentPane();
+        content_pane.setComponentOrientation(Dictionary.getOrientation());
 	JPanel center_pane = new JPanel();
+        center_pane.setComponentOrientation(Dictionary.getOrientation());
 	JPanel labels_pane = new JPanel();
+        labels_pane.setComponentOrientation(Dictionary.getOrientation());
 	JPanel fields_pane = new JPanel();
+        fields_pane.setComponentOrientation(Dictionary.getOrientation());
 
 	JLabel file_label = new JLabel(Dictionary.get("MappingPrompt.File"));
-	JLabel file_field = new JLabel(file.getAbsolutePath());
-
+	file_label.setComponentOrientation(Dictionary.getOrientation());
+        JLabel file_field = new JLabel(file.getAbsolutePath());
+        file_field.setComponentOrientation(Dictionary.getOrientation());
+        
 	JLabel name_label = new JLabel(Dictionary.get("MappingPrompt.Name"));
-	name_field = new JTextField(file.getName());
-
+	name_label.setComponentOrientation(Dictionary.getOrientation());                
+        name_field = new JTextField(file.getName());
+        name_field.setComponentOrientation(Dictionary.getOrientation());
+        
 	JPanel button_pane = new JPanel();
+        button_pane.setComponentOrientation(Dictionary.getOrientation());
 	ok_button = new GLIButton(Dictionary.get("General.OK"), Dictionary.get("General.OK_Tooltip"));
 	ok_button.setEnabled(name_field.getText().length() > 0);
@@ -91,5 +100,5 @@
 	center_pane.setBorder(BorderFactory.createEmptyBorder(0,0,5,0));
 	center_pane.setLayout(new BorderLayout(5,0));
-	center_pane.add(labels_pane, BorderLayout.WEST);
+	center_pane.add(labels_pane, BorderLayout.LINE_START);
 	center_pane.add(fields_pane, BorderLayout.CENTER);
 
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/DeleteCollectionPrompt.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/DeleteCollectionPrompt.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/DeleteCollectionPrompt.java	(revision 18297)
@@ -92,13 +92,18 @@
 	super(Gatherer.g_man);
 	close_button = new GLIButton(Dictionary.get("General.Close"), Dictionary.get("General.Close_Tooltip"));
-	
+	this.setComponentOrientation(Dictionary.getOrientation());
 	confirmation = new JCheckBox(Dictionary.get("DeleteCollectionPrompt.Confirm_Delete"));
-	details = new JTextArea(Dictionary.get("DeleteCollectionPrompt.No_Collection"));
+	confirmation.setComponentOrientation(Dictionary.getOrientation());
+        details = new JTextArea(Dictionary.get("DeleteCollectionPrompt.No_Collection"));
+        details.setComponentOrientation(Dictionary.getOrientation());
 	details.setEditable(false);
 	details_label = new JLabel(Dictionary.get("DeleteCollectionPrompt.Collection_Details"));
-
+        details_label.setComponentOrientation(Dictionary.getOrientation());
+        
 	list = new JList();
+        list.setComponentOrientation(Dictionary.getOrientation());
 	list_label = new JLabel(Dictionary.get("DeleteCollectionPrompt.Collection_List"));
-	
+	list_label.setComponentOrientation(Dictionary.getOrientation());
+        
 	list_model = new DefaultListModel();
 	ok_button = new GLIButton(Dictionary.get("DeleteCollectionPrompt.Delete"), Dictionary.get("DeleteCollectionPrompt.Delete_Tooltip"));
@@ -107,6 +112,6 @@
 	setModal(true);
 	setSize(SIZE);
-	setTitle(Dictionary.get("DeleteCollectionPrompt.Title"));
-	
+	setTitle(Dictionary.get("DeleteCollectionPrompt.Title"));	        
+        
 	setJMenuBar(new SimpleMenuBar("deletingcollections")); 
 	close_button.addActionListener(new CloseButtonListener());
@@ -121,4 +126,5 @@
 	ok_button.setEnabled(false);
 	scanForCollections();
+        
     }
 
@@ -140,15 +146,23 @@
     public boolean display() {
 	// Central pane
+        JScrollPane scrol_tmp;
 	JPanel list_pane = new JPanel(new BorderLayout());
+        list_pane.setComponentOrientation(Dictionary.getOrientation());
 	list_pane.add(list_label, BorderLayout.NORTH);
-	list_pane.add(new JScrollPane(list), BorderLayout.CENTER);
+        scrol_tmp = new JScrollPane(list);
+        scrol_tmp.setComponentOrientation(Dictionary.getOrientation());
+	list_pane.add(scrol_tmp, BorderLayout.CENTER);
 	list_pane.setBorder(BorderFactory.createEmptyBorder(0, 0, 5, 0));
 
 	JPanel details_pane = new JPanel(new BorderLayout());
+        details_pane.setComponentOrientation(Dictionary.getOrientation());
 	details_pane.add(details_label, BorderLayout.NORTH);
-	details_pane.add(new JScrollPane(details), BorderLayout.CENTER);
+        scrol_tmp = new JScrollPane(details);
+        scrol_tmp.setComponentOrientation(Dictionary.getOrientation());
+	details_pane.add(scrol_tmp, BorderLayout.CENTER);
 	details_pane.setBorder(BorderFactory.createEmptyBorder(0, 0, 0, 0));
 
 	JPanel central_pane = new JPanel(new GridLayout(2, 1));
+        central_pane.setComponentOrientation(Dictionary.getOrientation());
 	central_pane.add(list_pane);
 	central_pane.add(details_pane);
@@ -157,8 +171,10 @@
 	// Lower pane
 	JPanel confirmation_pane = new JPanel(new BorderLayout());
+        confirmation_pane.setComponentOrientation(Dictionary.getOrientation());
 	confirmation_pane.add(confirmation, BorderLayout.CENTER);
 	confirmation_pane.setBorder(BorderFactory.createEmptyBorder(0,0,5,0));
 
 	JPanel button_pane = new JPanel(new GridLayout(1, 2));
+        button_pane.setComponentOrientation(Dictionary.getOrientation());
 	button_pane.add(ok_button);
 	button_pane.add(close_button);
@@ -166,4 +182,5 @@
 
 	JPanel lower_pane = new JPanel(new BorderLayout());
+        lower_pane.setComponentOrientation(Dictionary.getOrientation());
 	lower_pane.add(confirmation_pane, BorderLayout.NORTH);
 	lower_pane.add(button_pane, BorderLayout.SOUTH);
@@ -172,4 +189,5 @@
 	// Final.
 	JPanel content_pane = (JPanel)this.getContentPane();
+        content_pane.setComponentOrientation(Dictionary.getOrientation());
 	content_pane.setLayout(new BorderLayout());
 	content_pane.add(central_pane, BorderLayout.CENTER);
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/DesignPane.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/DesignPane.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/DesignPane.java	(revision 18297)
@@ -37,4 +37,5 @@
 package org.greenstone.gatherer.gui;
 
+import org.greenstone.gatherer.Dictionary;
 import org.greenstone.gatherer.cdm.CollectionDesignManager;
 import org.greenstone.gatherer.cdm.Control;
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/DesignPaneHeader.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/DesignPaneHeader.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/DesignPaneHeader.java	(revision 18297)
@@ -55,6 +55,8 @@
     public DesignPaneHeader(String label_key, String help_key)
     {
+        this.setComponentOrientation(Dictionary.getOrientation());
 	JLabel title_label = new JLabel("<HTML><STRONG><FONT FACE={FONT} COLOR=Black SIZE=5>" + Dictionary.get(label_key) + "</FONT></STRONG></HTML>");
-
+        title_label.setComponentOrientation(Dictionary.getOrientation());
+        
 	JPanel title_pane = new JPanel();
 	title_pane.setBorder(BorderFactory.createEmptyBorder(0,0,0,5));
@@ -62,5 +64,6 @@
 	title_pane.add(title_label, BorderLayout.CENTER);
 	title_pane.add(new JSeparator(), BorderLayout.SOUTH);
-
+        title_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	GLIButton help_button = new GLIButton(Dictionary.get("CDM.HelpButton"), Dictionary.get("CDM.HelpButton_Tooltip"));
 	this.help_key_name = help_key;
@@ -75,5 +78,5 @@
 	setLayout(new BorderLayout());
 	add(title_pane, BorderLayout.CENTER);
-	add(help_button, BorderLayout.EAST);
+	add(help_button, BorderLayout.LINE_END);
     }
 }
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/DownloadPane.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/DownloadPane.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/DownloadPane.java	(revision 18297)
@@ -93,10 +93,11 @@
     public DownloadPane() {
 	super();
-
+        JScrollPane scrol_tmp;
+        this.setComponentOrientation(Dictionary.getOrientation());
 	// TODO: Download the WDownload and the download panel fixed!!
         getter = new DownloadScrollPane();
         getter.start();
-	list_scroll = getter.getDownloadJobList();
-
+	list_scroll = getter.getDownloadJobList();      
+        list_scroll.setComponentOrientation(Dictionary.getOrientation());
 	// TODO should use Vector to store all loaded downloads!!
 	String lang = Configuration.getLanguage();
@@ -110,6 +111,7 @@
 	// Creation
 	tree = new DesignTree();
+        tree.setComponentOrientation(Dictionary.getOrientation());
 	options_pane = new JPanel();
-
+        options_pane.setComponentOrientation(Dictionary.getOrientation());
 	
 	JButton clear_cache_button = new GLIButton(Dictionary.get("Mirroring.ClearCache"), Dictionary.get("Mirroring.ClearCache_Tooltip"));
@@ -139,4 +141,5 @@
 	// Add to Panel
 	JPanel button_pane = new JPanel();
+        button_pane.setComponentOrientation(Dictionary.getOrientation());
 	button_pane.setLayout(new FlowLayout(FlowLayout.CENTER,20,5));
 	button_pane.setBorder(BorderFactory.createEtchedBorder());
@@ -147,6 +150,9 @@
 
 	JPanel tree_pane = new JPanel();
+        tree_pane.setComponentOrientation(Dictionary.getOrientation());
 	tree_pane.setLayout(new BorderLayout());
-       	tree_pane.add(new JScrollPane(tree), BorderLayout.CENTER);
+        scrol_tmp = new JScrollPane(tree);
+        scrol_tmp.setComponentOrientation(Dictionary.getOrientation());
+       	tree_pane.add(scrol_tmp, BorderLayout.CENTER);
 	tree_pane.setPreferredSize(TREE_SIZE);
  
@@ -158,11 +164,21 @@
 
 	JScrollPane options_scroll_pane = new JScrollPane(options_pane);
+        options_scroll_pane.setComponentOrientation(Dictionary.getOrientation());
 	JSplitPane mode_pane = new JSplitPane();
+        mode_pane.setComponentOrientation(Dictionary.getOrientation());
 	mode_pane.setBorder(BorderFactory.createEmptyBorder(0,0,0,0));
-	mode_pane.add(tree_pane,JSplitPane.LEFT);
-	mode_pane.add(options_scroll_pane,JSplitPane.RIGHT);
-	mode_pane.setDividerLocation(TREE_SIZE.width);
+        if (Dictionary.getOrientation().isLeftToRight()){
+            mode_pane.add(tree_pane,JSplitPane.LEFT);
+            mode_pane.add(options_scroll_pane,JSplitPane.RIGHT); 
+            mode_pane.setDividerLocation(TREE_SIZE.width);
+        }else{
+            mode_pane.add(tree_pane,JSplitPane.RIGHT);
+            mode_pane.add(options_scroll_pane,JSplitPane.LEFT);
+            mode_pane.setDividerLocation(1);
+        }
+		
     
 	JPanel edit_pane = new JPanel();
+        edit_pane.setComponentOrientation(Dictionary.getOrientation());
 	edit_pane.setBorder(BorderFactory.createCompoundBorder(BorderFactory.createEmptyBorder(2,0,0,0), BorderFactory.createCompoundBorder(BorderFactory.createTitledBorder("Download Setting"), BorderFactory.createEmptyBorder(2,2,2,2))));
 	edit_pane.setLayout(new BorderLayout());
@@ -188,9 +204,12 @@
     private void addHeader(String name, Color color, JPanel target_pane) {
 	JPanel header = new JPanel();
+        header.setComponentOrientation(Dictionary.getOrientation());
 	header.setBackground(color);
 	JPanel inner_pane = new JPanel();
+        inner_pane.setComponentOrientation(Dictionary.getOrientation());
 	inner_pane.setBorder(BorderFactory.createCompoundBorder(BorderFactory.createEmptyBorder(5,5,5,5), BorderFactory.createRaisedBevelBorder()));
 	inner_pane.setBackground(color);
 	JLabel header_label = new JLabel("<html><strong>" + name + "</strong></html>");
+        header_label.setComponentOrientation(Dictionary.getOrientation());
 	header_label.setBackground(Configuration.getColor("coloring.collection_heading_background", false));
 	header_label.setHorizontalAlignment(JLabel.CENTER);
@@ -353,5 +372,5 @@
     /** Behaviour Functions */
     public void afterDisplay() {
-	ready = true;
+	ready = true;        
     }
 
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/EditorDialog.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/EditorDialog.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/EditorDialog.java	(revision 18297)
@@ -67,4 +67,5 @@
     public EditorDialog() {
 	super(Gatherer.g_man);
+        this.setComponentOrientation(Dictionary.getOrientation());
     }
 
@@ -94,4 +95,5 @@
 	// Create
 	text = new JTextArea(value);
+        text.setComponentOrientation(Dictionary.getOrientation());
 	text.setCaretPosition(value.length());
 	text.setEditable(editable);
@@ -115,4 +117,5 @@
 	// Layout
 	JPanel button_pane = new JPanel();
+        button_pane.setComponentOrientation(Dictionary.getOrientation());
 	button_pane.setLayout(new GridLayout(1,2));
 	if(editable) {
@@ -126,6 +129,10 @@
 		  
 	JPanel content_pane = (JPanel) getContentPane();
+        content_pane.setComponentOrientation(Dictionary.getOrientation());
 	content_pane.setLayout(new BorderLayout());
-	content_pane.add(new JScrollPane(text), BorderLayout.CENTER);
+        JScrollPane scrol_tmp;
+        scrol_tmp = new JScrollPane(text);
+        scrol_tmp.setComponentOrientation(Dictionary.getOrientation());
+	content_pane.add(scrol_tmp, BorderLayout.CENTER);
 	content_pane.add(button_pane, BorderLayout.SOUTH);
 		  
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/EmailField.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/EmailField.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/EmailField.java	(revision 18297)
@@ -6,4 +6,5 @@
 import javax.swing.event.*;
 import javax.swing.text.*;
+import org.greenstone.gatherer.Dictionary;
 
 public class EmailField
@@ -19,4 +20,5 @@
     public EmailField(Color invalid_background) {
 	super();
+        this.setComponentOrientation(Dictionary.getOrientation());
 	this.invalid_background = invalid_background;
     }
